Bug 12478 - SIP support broken after installation of CSSU (rtcom-accounts-voip-support removed?)
: SIP support broken after installation of CSSU (rtcom-accounts-voip-support re...
Status: RESOLVED FIXED
Product: Maemo 5 Community SSU
general
: unspecified
: N900 Maemo
: Unspecified critical with 2 votes (vote)
: ---
Assigned To: unassigned
: general
:
:
:
:
  Show dependency tree
 
Reported: 2011-10-27 23:20 UTC by Enno Gröper
Modified: 2012-04-22 17:56 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Enno Gröper (reporter) 2011-10-27 23:20:24 UTC
SOFTWARE VERSION: 
(Settings > General > About product)
Version 20.2010.36-2maemo16.8

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. installation of CSSU


EXPECTED OUTCOME:
SIP still works ;-)

ACTUAL OUTCOME: 
When receiving SIP calls, I immediatly get a "missed call" notification instead
of a ringing phone.
When I try to make a call using SIP (hitting SIP button in contact), the phone
makes a GSM call instead.

REPRODUCIBILITY: 
(always, less than 1/10, 5/10, 9/10)
always

EXTRA SOFTWARE INSTALLED: 

OTHER COMMENTS: 
It seems like rtcom-accounts-voip-support got removed during the upgrade (dpkg
-l shows "rc").
Reinstalling it seems to resolve the issue.

Especially the transparent use of GSM instead of SIP is a big issue. You think
your are using your flatrate using SIP, but instead the call costs real money.
Therefore I set the severity to critical.
Comment 1 Michael Wiktowy 2012-01-03 06:07:34 UTC
This happened to me also. I can't remember which version of CSSU clobbered it.
The reinstallation of that package with the command 'apt-get --reinstall
install rtcom-accounts-voip-support' fixed the issue.
Comment 2 Christian Ratzenhofer 2012-04-22 17:56:24 UTC
This has been fixed for the Community SSU Updates in package
mp-fremantle-community-pr (21.2011.38-1Tmaemo2)
which is part of the build version
21.2011.38-1Tmaemo2
(Note: 21.2011.38-1is the latest official Nokia version.
The number after it indicates the Community SSU release version.)

Commit:
http://gitorious.org/community-ssu/mp-fremantle-community-pr/commit/22548ec1ecc7785ce01bfcb22a1541c99e6c7c84

For more information about Community SSU please see
http://wiki.maemo.org/Community_SSU